libqhull7_2015.2-4_i386.deb


Advertisement

Description

libqhull7 - calculate convex hulls and related structures (shared library)

Property Value
Distribution Ubuntu 18.04 (Bionic Beaver)
Repository Ubuntu Universe i386
Package name libqhull7
Package version 2015.2
Package release 4
Package architecture i386
Package type deb
Installed size 452 B
Download size 158.04 KB
Official Mirror archive.ubuntu.com
Qhull computes convex hulls, Delaunay triangulations, halfspace
intersections about a point, Voronoi diagrams, furthest-site
Delaunay triangulations, and furthest-site Voronoi diagrams. It
runs in 2-d, 3-d, 4-d, and higher dimensions.
This package contains the shared C library.

Alternatives

Package Version Architecture Repository
libqhull7_2015.2-4_amd64.deb 2015.2 amd64 Ubuntu Universe
libqhull7 - - -

Requires

Name Value
libc6 >= 2.11

Download

Type URL
Binary Package libqhull7_2015.2-4_i386.deb
Source Package qhull

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libqhull7 deb package:
    # sudo apt-get install libqhull7

Files

Path
/usr/lib/i386-linux-gnu/libqhull.so.7
/usr/lib/i386-linux-gnu/libqhull.so.7.2.0
/usr/share/doc/libqhull7/README.Debian
/usr/share/doc/libqhull7/changelog.Debian.gz
/usr/share/doc/libqhull7/copyright

Changelog

2017-12-09 - Jochen Sprickerhof <jspricke@debian.org>
qhull (2015.2-4) unstable; urgency=medium
* Team upload.
* Add missing Depends: libqhull-r7 (Closes: #883817)
2017-11-25 - Barak A. Pearlmutter <bap@debian.org>
qhull (2015.2-3) unstable; urgency=medium
* bump policy version
* Add libqhull-r7 package (closes: #841168)
thanks to Jochen Sprickerhof <jspricke@debian.org>
2017-01-18 - Barak A. Pearlmutter <bap@debian.org>
qhull (2015.2-2) unstable; urgency=medium
* bump to debhelper 10
* bump policy version
* spelling error quilt patch
* harden
2016-02-15 - Barak A. Pearlmutter <bap@debian.org>
qhull (2015.2-1) unstable; urgency=medium
* New upstream release
* Upstream fixes null stream tail chase (closes: #738339)
* Swizzle doc pointer in man pages (closes: #784117)
2014-04-30 - Barak A. Pearlmutter <bap@debian.org>
qhull (2012.1-5) unstable; urgency=medium
* add symbols file
* silence lintian binary-file-built-without-LFS-support
2014-02-13 - Barak A. Pearlmutter <bap@debian.org>
qhull (2012.1-4) unstable; urgency=medium
* Add convenience link to #include <qhull/qhull.h> to simplify transition.
2014-02-13 - Barak A. Pearlmutter <bap@debian.org>
qhull (2012.1-3) unstable; urgency=medium
* Simplify man page patch.
* Support multi-arch.
2014-02-08 - Barak A. Pearlmutter <bap@debian.org>
qhull (2012.1-2) unstable; urgency=medium
* Build dependency on cmake is needed.
* Remove ancient install-time scripts related to /usr/doc/ transition.
* Create backwards-compatibility links in /usr/include/qhull/.
2014-02-06 - Barak A. Pearlmutter <bap@debian.org>
qhull (2012.1-1) unstable; urgency=low
* New upstream release (closes: #621909)
- Port quilt patches to new upstream.
- Upstream now supports cmake: use it instead of autotools.
- This should address the binutils-gold issue (closes: #556302)
- Ditto for undefined reference to pow@@GLIBC_2.2.5 (closes: #713546)
- Upstream incremented to libqhull.so.6 so switch to libqhull6
- Remove symbols file
- Update many paths to account for upstream changes.
- upstream installs .htm files intermingled with .h file in /usr/include,
move the .htm to /usr/share/doc with symlinks for the .h files as they
are referred to from the .htm files.  (These will be missing if the -doc
package is installed without the -dev package, but it hardly seems worth
adding a dependency.)
* Add myself as uploader in debian/control (closes: #571875)
* Fix wx include __POWERPC__ issue (closes: #640432)
* Update/modify debian packaging
- Switch to dh9 in debian/rules; flush cdbs.
- Bump standards version
- Various simplifications allowed by modern dh.
- Move all dev docs to -doc; remove contrary stanza in README.Debian.
- Activate single-debian-patch source option; see git for patch breakdown.
- Gentler preinst /usr/share/doc/libqhull-dev symlink excision, and add
preinst to similarly excise any /usr/share/doc/qhull-bin symlink.
- Mash installed debian/tmp into shape ourselves.
* Add quilt patches for minor issues: spelling, man page bug
* Put Debian TODO file in -doc package
2011-11-23 - Salvatore Bonaccorso <carnil@debian.org>
qhull (2009.1-3) unstable; urgency=low
* Team upload.
* Add fix-FTBFS-643461-format-security.patch patch.
Fix format-security compiler warnings.
Thanks to peter green <plugwash@p10link.net> for the patch (Closes: #643461)
* Drop quilt framework.
Explicit dependencies on quilt is not needed as we use '3.0 (quilt)'
source package format.

See Also

Package Description
libqimageblitz-dev_0.0.6-5_i386.deb development files for the QImageBlitz image effects library
libqimageblitz4_0.0.6-5_i386.deb QImageBlitz image effects library
libqjdns-qt4-2_2.0.3-1build1_i386.deb Simple DNS queries library - QT4 wrapper
libqjdns-qt4-dev_2.0.3-1build1_i386.deb Simple DNS queries library QT4 wrapper - development files
libqjdns-qt5-2_2.0.3-1build1_i386.deb Simple DNS queries library - Qt5 wrapper
libqjdns-qt5-dev_2.0.3-1build1_i386.deb Simple DNS queries library Qt5 wrapper - development files
libqjson-dev_0.8.1-3_i386.deb Qt-based library that maps JSON data to QVariant objects - development files
libqjson0_0.8.1-3_i386.deb Qt-based library that maps JSON data to QVariant objects
libqm-dsp-dev_1.7.1-4_i386.deb Development files (headers) for libqm-dsp library
libqm-dsp0_1.7.1-4_i386.deb C++ library for audio signals analysis
libqmi-utils_1.18.0-3ubuntu1_i386.deb Utilities to use the QMI protocol from the command line
libqmobipocket-dev_17.12.3-0ubuntu1_i386.deb library for reading Mobipocket documents
libqmobipocket2_17.12.3-0ubuntu1_i386.deb library for reading Mobipocket documents
libqoauth-dev_2.0.1~1-3_i386.deb Qt5-based OAuth implementation development headers
libqoauth2_2.0.1~1-3_i386.deb Qt5-based client implementation of the OAuth authorization scheme
Advertisement
Advertisement